ReferenceItem lists
Payment types
GET
Bearerheader
AuthorizationBearer <token>OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.
application/json- response
[index: integer]?curl -X GET 'https://<your-instance>/api/item-lists/payment-types' \ -H 'Authorization: Bearer <access-token>'[ { "eshopId": "string", "id": 0, "isCash": true, "isPaidInAdvance": true, "name": "string" }]POST
Bearerheader
AuthorizationBearer <token>OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.
application/json- body
eshopId?|Length
length <= 50id?integerFormat
int32isCash?boolean|nullisPaidInAdvance?boolean|nullname?|Length
length <= 50application/json- response
eshopId?|Length
length <= 50id?integerFormat
int32isCash?boolean|nullisPaidInAdvance?boolean|nullname?|Length
length <= 50curl -X POST 'https://<your-instance>/api/item-lists/payment-types' \ -H 'Authorization: Bearer <access-token>' \ -H 'Content-Type: application/json' \ -d '{}'{ "eshopId": "string", "id": 0, "isCash": true, "isPaidInAdvance": true, "name": "string"}GET
Bearerheader
AuthorizationBearer <token>OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.
id*integerFormat
int32application/json- response
eshopId?|Length
length <= 50id?integerFormat
int32isCash?boolean|nullisPaidInAdvance?boolean|nullname?|Length
length <= 50curl -X GET 'https://<your-instance>/api/item-lists/payment-types/0' \ -H 'Authorization: Bearer <access-token>'{ "eshopId": "string", "id": 0, "isCash": true, "isPaidInAdvance": true, "name": "string"}PATCH
Bearerheader
AuthorizationBearer <token>OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.
id*integerFormat
int32application/json- body
eshopId?|Length
length <= 50id?integerFormat
int32isCash?boolean|nullisPaidInAdvance?boolean|nullname?|Length
length <= 50application/json- response
eshopId?|Length
length <= 50id?integerFormat
int32isCash?boolean|nullisPaidInAdvance?boolean|nullname?|Length
length <= 50curl -X PATCH 'https://<your-instance>/api/item-lists/payment-types/0' \ -H 'Authorization: Bearer <access-token>' \ -H 'Content-Type: application/json' \ -d '{}'{ "eshopId": "string", "id": 0, "isCash": true, "isPaidInAdvance": true, "name": "string"}DELETE
Bearerheader
AuthorizationBearer <token>OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.
id*integerFormat
int32curl -X DELETE 'https://<your-instance>/api/item-lists/payment-types/0' \ -H 'Authorization: Bearer <access-token>'Empty